
From: Rudolph Pereira <rudolph@faex.net>

Cc: Bartlomiej Zolnierkiewicz <B.Zolnierkiewicz@elka.pw.edu.pl>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/ide/pci/sis5513.c |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN drivers/ide/pci/sis5513.c~sis5513-support-sis-965l drivers/ide/pci/sis5513.c
--- devel/drivers/ide/pci/sis5513.c~sis5513-support-sis-965l	2005-09-15 21:11:05.000000000 -0700
+++ devel-akpm/drivers/ide/pci/sis5513.c	2005-09-15 21:11:43.000000000 -0700
@@ -777,7 +777,12 @@ static unsigned int __devinit init_chips
 					pci_write_config_dword(dev, 0x54, idemisc | 0x40000000);
 					printk(KERN_INFO "SIS5513: Switching to 5513 register mapping\n");
 				}
+			} else if (trueid == 0x180) { /* sis965L */
+				chipset_family = ATA_133;
+				printk(KERN_INFO "SIS5513: SiS 965 IDE "
+						"UDMA133 controller\n");
 			}
+
 	}
 
 	if (!chipset_family) { /* Belongs to pci-quirks */
@@ -952,6 +957,7 @@ static int __devinit sis5513_init_one(st
 static struct pci_device_id sis5513_pci_tbl[] = {
 	{ PCI_VENDOR_ID_SI, PCI_DEVICE_ID_SI_5513, PCI_ANY_ID, PCI_ANY_ID, 0, 0, 0},
 	{ PCI_VENDOR_ID_SI, PCI_DEVICE_ID_SI_5518, PCI_ANY_ID, PCI_ANY_ID, 0, 0, 0},
+	{ PCI_VENDOR_ID_SI, 0x180,                 PCI_ANY_ID, PCI_ANY_ID, 0, 0, 0},
 	{ 0, },
 };
 MODULE_DEVICE_TABLE(pci, sis5513_pci_tbl);
_
